Table: Report one-way Kruskal-Wallis...

Performs a one-way Kruskal-Wallis analysis on the data in one column of a selected Table and reports the results in the info window. This test is sometimes refered to as a one-way analysis of variance for non-normally distributed data.

## Settings

Column with data
  the label of the column whose data will be analyzed.
Factor
  the label of the column with the names of the levels.

## Algorithm

The analysis is done on the ranked data and consists of the following steps:

  1. Rank all the N data points together, i.e. rank the data from 1 to N.
  2. The test statistic is:

K = (12 / (N(N+1)) Σi=1g ni (meanRanki)2 - 3(N+1),

  where g is the number of levels, ni the number of data in i-th level and meanRanki the average rank of the i-th level.
  3. The p value is approximated by the χ2 (K, g - 1) distribution.